Skip to content
Start here

Get URL Intelligence

client.Intel.URLs.Get(ctx, params) (*URL, error)
GET/accounts/{account_id}/intel/url

Gets security information about a URL, including content categories and risk types. The URL must be provided as a query parameter.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params URLGetParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
URL param.Field[string]

Query param: The URL to look up.

ReturnsExpand Collapse
type URL struct{…}
ContentCategories []URLContentCategory

Content categories associated with this URL.

ID int64Optional
Name stringOptional
SourceID int64Optional
SuperCategoryID int64Optional
FullURL string

The full URL that was looked up.

Hostname string

The hostname of the URL.

RiskType []URLRiskType

Security risk types associated with this URL.

ID int64Optional
Name stringOptional
SourceID int64Optional
SuperCategoryID int64Optional
URLPath string

The path component of the URL.

Get URL Intelligence

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  url, err := client.Intel.URLs.Get(context.TODO(), intel.URLGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    URL: cloudflare.F("url"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", url.ContentCategories)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}